'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _merge = require('lodash/merge');

var _merge2 = _interopRequireDefault(_merge);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function merge(...config) {
  // TODO: Consider not merging data, as this is potentially a large structure being copied.
  // Merging data allows some default data to be configured that is always sent, but is there an
  // actual use case for this?

  return (0, _merge2.default)({}, ...config);
}

function hasValue(value) {
  return typeof value !== 'undefined' && value !== null && value !== '';
}

function hasOption(config, option) {
  return hasValue(config[option]);
}

exports.default = {
  merge,
  hasOption
};