'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = cspace;

var _agent = require('./agent');

var _agent2 = _interopRequireDefault(_agent);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function cspace(cspaceConfig) {
  const sendRequest = requestConfig => _agent2.default.sendRequest(_config2.default.merge(cspaceConfig, requestConfig));

  const sendRequestWithOperation = operation => (resource, requestConfig) => sendRequest(_config2.default.merge(requestConfig, {
    resource,
    operation
  }));

  return {
    create: sendRequestWithOperation('create'),
    read: sendRequestWithOperation('read'),
    update: sendRequestWithOperation('update'),
    delete: sendRequestWithOperation('delete')
  };
}